<?php
$sql['0'] = "CREATE TABLE `" . DB_PREFIX . "blocks` (
  `id` int(55) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default 'No title',
  `content` text NOT NULL,
  `type` enum('php','plain') NOT NULL default 'plain',
  `system` enum('no','yes') NOT NULL default 'no',
  `position` enum('left','right') NOT NULL default 'left',
  `height` tinyint(3) NOT NULL default '0',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `owner` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`))";

$sql['1'] = "CREATE TABLE `" . DB_PREFIX . "content` (
  `id` int(55) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `date` date NOT NULL default '0000-00-00',
  `content` text NOT NULL,
  `front` enum('no','yes') NOT NULL default 'no',
  PRIMARY KEY  (`id`))";

$sql['2'] = "CREATE TABLE `" . DB_PREFIX . "images` (
  `id` int(55) NOT NULL auto_increment,
  `filename` varchar(255) NOT NULL,
  `filesize` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`))";

$sql['3'] = "CREATE TABLE `" . DB_PREFIX . "mainmenu` (
  `id` int(55) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `link` varchar(255) NOT NULL,
  `parent` int(10) NOT NULL default '0',
  `weight` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`))";

$sql['4'] = "CREATE TABLE `" . DB_PREFIX . "modules` (
  `id` int(55) NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `folder` varchar(60) NOT NULL,
  `name` varchar(60) NOT NULL,
  `hasadmin` enum('yes','no') NOT NULL default 'yes',
  `hasfront` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`))";

$sql['5'] = "CREATE TABLE `" . DB_PREFIX . "tips` (
  `id` int(55) NOT NULL auto_increment,
  `tip` text NOT NULL,
  PRIMARY KEY  (`id`))";

$sql['6'] = "INSERT INTO `" . DB_PREFIX . "blocks` VALUES (1, 'Sample block', 'This is just a sample block.', 'plain', 'no', 'right', 0, 'yes', 'system');";

$sql['7'] = "INSERT INTO `" . DB_PREFIX . "blocks` VALUES (2, 'Sample block', 'This is just a sample block.', 'plain', 'no', 'left', 0, 'yes', 'system');";

$sql['8'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (1, 'Did you know you can turn off these tips? Check settings!');";

$sql['9'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (2, 'Did you know you can change a look of your website in themes managment?');";

$sql['10'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (3, 'Did you know you can install and uninstall modules? Check modules managment!');";

$sql['11'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (4, 'Did you know you can see how much space is left on your disk? Check System info!');";

$sql['12'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (5, 'Did you know you can run PHP script directly from Control Panel? Check PHP Console!');";

$sql['13'] = "INSERT INTO `" . DB_PREFIX . "tips` VALUES (6, 'Did you know you can create image thumbnails automatically?');";
?>