<?php
if($_SESSION[SESSION_ADMIN] != ADMIN_USER)
{
	header('Location: login.php');
	die();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><?php print LANG_010; ?></title>
	<meta content="text/html; charset=utf-8" http-equiv="content-type" />
	<link href="<?php print LOVE_URL . '/system/admin/'; ?>style.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<?php print LOVE_URL . '/system/js/ajax.js'; ?>"></script>
	<script type="text/javascript" src="<?php print LOVE_URL . '/system/js/functions.js'; ?>"></script>
</head>

<body>

<div id="leftbar">

	<div id="iconsbar">
	
		<a href="<?php print LOVE_URL . '/system/admin/index.php'; ?>" title="<?php print LANG_001; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>home.png" alt="<?php print LANG_001; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/themes.php'; ?>" title="<?php print LANG_002; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>themes.png" alt="<?php print LANG_002; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/blocks.php'; ?>" title="<?php print LANG_009; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>blocks.png" alt="<?php print LANG_009; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/images.php'; ?>" title="<?php print LANG_003; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>images.png" alt="<?php print LANG_003; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/modules.php'; ?>" title="<?php print LANG_004; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>modules.png" alt="<?php print LANG_004; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/settings.php'; ?>" title="<?php print LANG_005; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>settings.png" alt="<?php print LANG_005; ?>" /></a>
		
		<br /><br />
		
		<a href="<?php print LOVE_URL . '/system/admin/system.php'; ?>" title="<?php print LANG_006; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>system.png" alt="<?php print LANG_006; ?>" /></a>
		
		<br /><br />
		
		<?php if(PHPCONSOLE == 'on') { ?>
		<a href="<?php print LOVE_URL . '/system/admin/console.php'; ?>" title="<?php print LANG_007; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>console.png" alt="<?php print LANG_007; ?>" /></a>
		
		<br /><br />
		<?php } ?>
		
		<a href="<?php print LOVE_URL . '/system/admin/login.php?do=logout'; ?>" title="<?php print LANG_008; ?>"><img 
		src="<?php print LOVE_URL . '/system/img/'; ?>logout.png" alt="<?php print LANG_008; ?>" /></a>
	
	</div>
	
	<?php
	$sql = $db -> db_query("SELECT * FROM " . DB_PREFIX . "modules WHERE 
	hasadmin = 'yes' ORDER BY date DESC");
	$sql = $db -> db_result();
	?>
	
	<div id="modulesbar">
	<div>
		<div id="moduletitle"><?php print LANG_011; ?></div>
		<ul>
			<?php foreach($sql as $module) { ?>
			<li><a href="<?php print LOVE_URL . '/modules/' . $module['folder'] . '/admin/index.php'; ?>"><?php 
			print $module['name']; ?></a></li>
			<?php } ?>
		</ul>
	</div>
	</div>
	
	<div class="clear"></div>

</div>

<div id="contentbar">

	<div id="tabs">
		
		<ul id="tabnav">
			<?php
			$current = basename($_SERVER['SCRIPT_FILENAME']);
			foreach($adminmenu as $key => $value)
			{
				if($current == $value)
				{
					print '<li><a href="' . $value . '" class="active">' . $key . '</a></li>';
				}
				else
				{
					print '<li><a href="' . $value . '">' . $key . '</a></li>';
				}
			}
			?>
		</ul>

	</div>
	
	<div id="content">
	
	<?php
	if(isset($_GET['error']))
	{
		print '<div id="error">' . constant($_GET['error']) . '</div>';
	}
	elseif(isset($_GET['warning']))
	{
		print '<div id="warning">' . constant($_GET['warning']) . '</div>';
	}
	elseif(isset($_GET['msg']))
	{
		print '<div id="message">' . constant($_GET['msg']) . '</div>';
	}
	?>
	