<?php
/*
 * LoveCMS
 * Collapsing Menu module 1.6
 */

$module['name'] = 'Collapsing Menu';
$module['folder'] = 'collapsing_menu';
$module['version'] = '1.6';
$module['author'] = 'Beyuch';
$module['license'] = 'BSD';
$module['hasadmin'] = 'yes';
$module['hasfront'] = 'no';

$blocks['0']['title'] = 'Collapsing Menu';
$blocks['0']['content'] = 'menu_gen.txt';
$blocks['0']['type'] = 'php';
$blocks['0']['system'] = 'no';
$blocks['0']['position'] = 'left';
$blocks['0']['visible'] = 'yes';

$install['0'] = "CREATE TABLE `" . DB_PREFIX . "colmenu_mnu` (
  `id` int(55) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `link` varchar(255) NOT NULL,
  `parent` int(10) NOT NULL default '0',
  `weight` int(10) NOT NULL default '0',
  PRIMARY KEY (`id`))";

$install['1'] = "INSERT INTO ". DB_PREFIX . "colmenu_mnu SELECT * FROM " . DB_PREFIX . "mainmenu";

$uninstall['0'] = "DROP TABLE " . DB_PREFIX . "colmenu_mnu";


?>