<?php
include('../../config.php');
include(LOVE_ROOT . '/system/admin/love_header.php');
include(LOVE_ROOT . '/system/admin/config_manager.php');

$adminmenu = array(
LANG_029 => 'themes.php'
);

$dir = LOVE_ROOT . '/themes/';
$dh = opendir($dir);
$files = array();

while(false !== ($filename = readdir($dh)))
{
	$files[] = $filename;
}

unset($files['0']);
unset($files['1']);
sort($files);

if(isset($_POST['submit']))
{
	$values = array(array('THEME', $_POST['theme']));
	
	open_config_file();
	write_config_file($values);
	close_config_file();
	
	redirect_with_message('msg', 'LANG_046');
}

include(LOVE_ROOT . '/system/admin/love_head.php');
?>

<h3><?php print LANG_030; ?></h3>

<form action="" method="post">
<table width="100%">
<tr>
	<th><?php print LANG_031; ?></th>
	<th width="80"><?php print LANG_032; ?></th>
	<th width="80"><?php print LANG_033; ?></th>
	<th width="80">&nbsp;</th>
</tr>
<?php foreach($files as $theme) { ?>
<tr>
	<td><?php print $theme; ?></td>
	<td>
	<?php
	if(is_file(LOVE_ROOT . '/themes/' . $theme . '/screenshot.png'))
	{
		print '<img src="../../themes/' . $theme . '/screenshot.png" alt="Screenshot" />';
	}
	else
	{
		print '<img src="../img/noscreen.png" alt="Screenshot" />';
	}
	?>
	</td>
	<td align="center"><a href="../../themes/<?php print $theme; ?>/LICENSE.txt" 
	target="_blank" title="<?php print LANG_034; ?>"><img 
	src="../img/license.png" alt="<?php print LANG_034; ?>" /></a></td>
	<td align="center"><input type="radio" value="<?php print $theme; ?>" 
	name="theme"<?php if($theme == THEME){print ' checked="checked"';} ?> /></td>
</tr>
<?php } ?>
</table>
<br />
<input type="submit" value="<?php print LANG_035; ?>" name="submit" class="button" />
</form>

<?php
include(LOVE_ROOT . '/system/admin/love_foot.php');
?>