<?php
session_start();
if(DEBUG_MODE == 'on')
{
	error_reporting(E_ALL ^ E_NOTICE);
}
elseif(DEBUG_MODE == 'off')
{
	error_reporting(0);
}

include(LOVE_ROOT . '/system/class/db.class.php');
include(LOVE_ROOT . '/system/class/tpl.class.php');
include(LOVE_ROOT . '/system/love_functions.php');
include(LOVE_ROOT . '/system/love_lang.php');

$db = new DB(DB_HOST, DB_USER, DB_PASS, DB_NAME);

include(LOVE_ROOT . '/system/love_hooks.php');

load_module_hook('afterdb');

/*
 * Main theme variables
 */

$assigned = array();
$themeroot = LOVE_URL . '/themes/' . THEME;
$themefile = LOVE_ROOT . '/themes/' . THEME . '/theme.html';
$pagetitle = stripslashes(constant('PAGETITLE'));
$sitename = stripslashes(constant('SITENAME'));
$additional = '';
$encoding = constant('ENCODING');
$footer = stripslashes(constant('FOOTER'));
$slogan = stripslashes(constant('SLOGAN'));
$keywords = stripslashes(constant('KEYWORDS'));
$description = stripslashes(constant('DESCRIPTION'));
$date = date('d.m.Y');
$time = date('H:i:s');
$content = '';
$bodytag = '';
$rss = '';
$cplink = LOVE_URL . '/system/admin';

load_module_hook('themevars');

/*
 * Template parser start
 */

$tpl = new Template;
$tpl -> open_template('lovecms', $themefile);

/*
 * Left blocks
 */

$lblocks = $db -> db_query("SELECT * FROM " . DB_PREFIX . "blocks 
WHERE position = 'left' AND visible = 'yes' ORDER BY height ASC");
$lblocks = $db -> db_result();

$tpl -> parse_loop('lovecms', 'lblocks');

/*
 * Right blocks
 */

$rblocks = $db -> db_query("SELECT * FROM " . DB_PREFIX . "blocks 
WHERE position = 'right' AND visible = 'yes' ORDER BY height ASC");
$rblocks = $db -> db_result();

$tpl -> parse_loop('lovecms', 'rblocks');
?>